Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins
Class JavaPluginConvention

    java.lang.Object
      org.gradle.api.plugins.JavaPluginConvention

    class JavaPluginConvention
    extends java.lang.Object

author:
  Hans Dockter

Property Summary
`java.lang.String` | `classesDirName`
`java.lang.String` | `docsDirName`
`java.util.List` | `floatingResourceDirs`
`java.util.List` | `floatingSrcDirs`
`java.util.List` | `floatingTestResourceDirs`
`java.util.List` | `floatingTestSrcDirs`
`java.lang.String` | `javadocDirName`
`GradleManifest` | `manifest`
`java.util.List` | `metaInf`
`Project` | `project`
`java.util.List` | `resourceDirNames`
`java.util.List` | `srcDirNames`
`java.lang.String` | `srcRootName`
`java.lang.String` | `testClassesDirName`
`java.lang.String` | `testReportDirName`
`java.util.List` | `testResourceDirNames`
`java.lang.String` | `testResultsDirName`
`java.util.List` | `testSrcDirNames`

Constructor Summary
`JavaPluginConvention(Project project, java.util.Map customValues)`

Method Summary
`java.io.File` | `getClassesDir()`
`java.io.File` | `getDocsDir()`
`java.io.File` | `getJavadocDir()`
`java.util.List` | `getResourceDirs()`
`JavaVersion` | `getSourceCompatibility()`
`java.util.List` | `getSrcDirs()`
`java.io.File` | `getSrcRoot()`
`JavaVersion` | `getTargetCompatibility()`
`java.io.File` | `getTestClassesDir()`
`java.io.File` | `getTestReportDir()`
`java.util.List` | `getTestResourceDirs()`
`java.io.File` | `getTestResultsDir()`
`java.util.List` | `getTestSrcDirs()`
`java.io.File` | `mkdir(java.io.File parent = null, java.lang.String name)`
`void` | `setSourceCompatibility(def value)`
`void` | `setTargetCompatibility(def value)`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Property Detail

### classesDirName

    java.lang.String classesDirName

### docsDirName

    java.lang.String docsDirName

### floatingResourceDirs

    java.util.List floatingResourceDirs

### floatingSrcDirs

    java.util.List floatingSrcDirs

### floatingTestResourceDirs

    java.util.List floatingTestResourceDirs

### floatingTestSrcDirs

    java.util.List floatingTestSrcDirs

### javadocDirName

    java.lang.String javadocDirName

### manifest

    GradleManifest manifest

### metaInf

    java.util.List metaInf

### project

    Project project

### resourceDirNames

    java.util.List resourceDirNames

### srcDirNames

    java.util.List srcDirNames

### srcRootName

    java.lang.String srcRootName

### testClassesDirName

    java.lang.String testClassesDirName

### testReportDirName

    java.lang.String testReportDirName

### testResourceDirNames

    java.util.List testResourceDirNames

### testResultsDirName

    java.lang.String testResultsDirName

### testSrcDirNames

    java.util.List testSrcDirNames

Constructor Detail

### JavaPluginConvention

    public JavaPluginConvention(Project project, java.util.Map customValues)

Method Detail

### getClassesDir

    java.io.File getClassesDir()

### getDocsDir

    java.io.File getDocsDir()

### getJavadocDir

    java.io.File getJavadocDir()

### getResourceDirs

    java.util.List getResourceDirs()

### getSourceCompatibility

    JavaVersion getSourceCompatibility()

### getSrcDirs

    java.util.List getSrcDirs()

### getSrcRoot

    java.io.File getSrcRoot()

### getTargetCompatibility

    JavaVersion getTargetCompatibility()

### getTestClassesDir

    java.io.File getTestClassesDir()

### getTestReportDir

    java.io.File getTestReportDir()

### getTestResourceDirs

    java.util.List getTestResourceDirs()

### getTestResultsDir

    java.io.File getTestResultsDir()

### getTestSrcDirs

    java.util.List getTestSrcDirs()

### mkdir

    java.io.File mkdir(java.io.File parent = null, java.lang.String name)

### setSourceCompatibility

    void setSourceCompatibility(def value)

### setTargetCompatibility

    void setTargetCompatibility(def value)

Groovy Documentation